Subject: [PATCH] iommu/arm-smmu: fix bug in pmd construction

From: [email-masked] (Will Deacon)
Date: Mon, 22 Sep 2014 09:48:07 +0100

On Sun, Sep 21, 2014 at 08:56:28AM +0100, Varun Sethi wrote:
> I have made changes to the arm smmu driver paging support, as a part of
> the huge page support patch. Will is currently reviewing changes made by
> me. I should be able to post my patch in the next couple of weeks.

Yup, but this patch looks like a sensible change for now. I agree that we
can't currently hit the bug, but that code is intended to be usable for use
across multiple PMDs, so I'll apply this.

Will